% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/TariffMonComRUM-methods.R
\name{TariffMonComRUM-methods}
\alias{TariffMonComRUM-methods}
\alias{calcSlopes,TariffMonComLogit-method}
\alias{calcSlopes,TariffMonComCES-method}
\alias{calcMargins,TariffMonComLogit-method}
\alias{calcMargins,TariffMonComCES-method}
\alias{calcPrices,TariffMonComLogit-method}
\alias{calcPrices,TariffMonComCES-method}
\title{Additional methods for TariffMonComLogit, TariffMonComCES Classes}
\usage{
\S4method{calcSlopes}{TariffMonComLogit}(object)

\S4method{calcSlopes}{TariffMonComCES}(object)

\S4method{calcMargins}{TariffMonComLogit}(object, preMerger = TRUE)

\S4method{calcMargins}{TariffMonComCES}(object, preMerger = TRUE)

\S4method{calcPrices}{TariffMonComLogit}(object, preMerger = TRUE)

\S4method{calcPrices}{TariffMonComCES}(object, preMerger = TRUE)
}
\arguments{
\item{object}{an instance of class \code{TariffMonComLogit} or class  \code{TariffMonComCES}}

\item{preMerger}{when TRUE, computes result  under the existing tariff regime. When FALSE, calculates
tariffs under the new tariff regime. Default is TRUE.}
}
\value{
\code{calcSlopes} return a  \code{TariffMonComLogit} or  \code{TariffMonComCES} object containing estimated slopes. \code{CalcQuantities} returns
a matrix of equilbrium quantities under either the current or new tariff.
}
\description{
Producer Surplus methods for the \code{TariffMonComLogit} and \code{TariffMonComCES} classes
}
